import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { RouterTestingModule } from '@angular/router/testing';
import { UiLoaderModule } from '@ui/loader/loader.module';
import { DeltagareCardService } from '../../deltagare-card.service';
import { DeltagareTabReportsComponent } from './deltagare-tab-reports.component';

describe('DeltagareTabReportsComponent', () => {
  let component: DeltagareTabReportsComponent;
  let fixture: ComponentFixture<DeltagareTabReportsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [DeltagareTabReportsComponent],
      imports: [
        RouterTestingModule,
        HttpClientTestingModule,
        ReactiveFormsModule,
        UiLoaderModule,
      ],
      providers: [DeltagareCardService],
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(DeltagareTabReportsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
